User Tag List

  1. Uzeru1de's Avatar
    Hi, I've jailbroken my iPhone 4, I'm running 4.1 an I used jailbreakme.com to do it, I don't know what a baseband is but I've just read in cydia that jailbreakme updates the baseband and this is negative... Can someone explain why?? Cydia has my ssh on file so I can downgrade if I need to but I can't see why I would need to? Any help would be great... Thanks!
    2010-10-31 09:35 PM
  2. dotFIVE's Avatar
    I think you got a little speechless there toward the end.

    If you're looking to jailbreak, use greenpois0n or limera1n. The baseband that comes with 4.1, 5.14.02, unfortunately cannot be unlocked at this time so you won't be able to use it on an unofficial carrier.


    Sent from my iPhone using ModMyi
    2010-10-31 09:37 PM
  3. Uzeru1de's Avatar
    Lol sorry dot I hit send by accident halfway through, I finished it the end tho
    2010-10-31 09:39 PM
  4. Uzeru1de's Avatar
    Could anyone explain this to me? Any help would be appreciated,
    2010-11-01 12:01 PM
  5. j3st3r's Avatar
    jailbreakme.com doesn't update the baseband, it also doesn't jailbreak 4.1, did you mean 4.0.1? as dotFIVE said use either greenpois0n or limera1n to jailbreak your phone if you are on 4.1 not 4.0.1 (if 4.0.1 you can use either jailbreakme.com or limera1n), if you are on 4.1 and you need to unlock then you will have to wait for the next jailbreak/unlock to be released, it should hopefully be sometime this month
    Last edited by j3st3r; 2010-11-01 at 02:15 PM.
    2010-11-01 02:12 PM
  6. Uzeru1de's Avatar
    Yeah it was 4.0.1 mate and I jailbroke with jailbreakme, so updating baseband doesn't matter if I don't need to unlock??
    2010-11-01 04:38 PM
  7. dotFIVE's Avatar
    Yeah it was 4.0.1 mate and I jailbroke with jailbreakme, so updating baseband doesn't matter if I don't need to unlock??
    If you use AT&T (assuming you're here in the US) then no, you do not have to worry about the baseband update. You only need to worry about that if you need an unlock for an unofficial carrier, such as T-Mobile.


    Sent from my iPhone using ModMyi
    2010-11-01 04:52 PM
  8. j3st3r's Avatar
    Yeah it was 4.0.1 mate and I jailbroke with jailbreakme, so updating baseband doesn't matter if I don't need to unlock??
    that is correct, but like I said jailbreakme.com doesn't update the baseband
    2010-11-01 04:59 PM
  9. z6joker9's Avatar
    To clarify, summarize, and add to the posts above:

    Jailbreakme doesn't upgrade the baseband.
    Jailbreakme is for 4.0.1, not 4.1.
    Limera1n/greenpos1on/redsn0w all work to jailbreak 4.1.
    Pwnagetool lets you upgrade to 4.1 pre-jailbroken and without the baseband update.
    Upgrading to 4.1 without pwnagetool means you lose the unlock ability for now (exception: iP4 and TU, but that's technical).
    Jailbreaking and unlocking are two different things, though JB is required to get to unlock.
    Official carrier users (ATT in US) do not need to worry about unlock.
    That being said, I would still recommend maintain unlock capabilities just in case (also raises resell value).
    Firmware and Baseband are two separate things, though upgrades to each are usually bundled together.
    Only firmware can be downgraded, and only if you have old SHSH.
    Basebands cannot be downgraded regardless of if you have SHSH. (exception: older model 3G iphones)
    2010-11-01 05:10 PM
  10. Uzeru1de's Avatar
    I'm in the UK but I am a TMobile customer but don't need an unlock as my sim is tmoble... Thanks for the info
    2010-11-01 05:11 PM
  11. Mes's Avatar
    ....Official carrier users (ATT in US) do not need to worry about unlock....
    Agreed.... BUT .....

    Think about the future, the next iPhone cycle (5?) !! Keeping the old and original baseband INCREASES re-sale value because it can be sold to non-contract (non-AT&T in US) customers.
    Last edited by Mes; 2010-11-01 at 05:30 PM.
    2010-11-01 05:26 PM
  12. Uzeru1de's Avatar
    Ok but like z6 said jailbreakme doesn't update baseband so I'm ok, I think lol... Thanks for all your replies..
    2010-11-01 05:30 PM
  13. z6joker9's Avatar
    Agreed.... BUT .....

    Think about the future, the next iPhone cycle (5?) !! Keeping the old and original baseband INCREASES re-sale value because it can be sold to non-contract (non-AT&T in US) customers.
    Exactly why I said the next line

    Official carrier users (ATT in US) do not need to worry about unlock.
    That being said, I would still recommend maintain unlock capabilities just in case (also raises resell value).
    I always sell my iPhone when the next one releases, and since I keep them in good shape and jailbroken/unlockable, I typically get twice what my next iPhone costs me. The only downside is that I have to go a little while without a jailbreak.
    2010-11-01 05:34 PM
  14. Mes's Avatar
    ^Absolutely True. JailbreakMe does not update the baseband.

    Apple stock FW updates the baseband.

    JailBreakMe REQUIRES Apple stock FW4.0.1.

    So, while technically JailBreakMe doesn't update the baseband, it WAS updated by Apple to the baseband shipped w/stock 4.0.1.

    Catch-22

    NOTE: This catch-22 situation applies to ALL JB's that don't create custom IPSWs.
    Last edited by Mes; 2010-11-01 at 05:41 PM.
    2010-11-01 05:35 PM
  15. z6joker9's Avatar
    Right, jailbreakme doesn't affect the baseband in any way. If you want to upgrade to 4.1, you can't use jailbreakme and unless you upgrade a specific way, your baseband will also be upgraded and thus your unlock will be gone. If you're happy with 4.0.1, then stick with it and avoid the risk.

    Also, remember that 4.0.1 and 4.1 are two different things.
    2010-11-01 05:41 PM
  16. Mes's Avatar
    BTW: PwnageTool 4.1.2 (Mac) is available to get a jb/update to iOS4.1 and keep your current baseband. Also, a new redsn0w was released today with a 'special' DFU mode that allows windows users to load custom IPSW's created by PwnageTool or Sn0wBreeze.
    2010-11-01 05:47 PM
  17. Irishpaul's Avatar
    My modem says 02.10.04 will there be an unlock for this , iphone4 4.1 , be very grateful for a reply, I already jb it with pwnage 4.1 , thanks guys. Paul
    2010-11-03 09:49 PM
  18. Mes's Avatar
    Not today. Only 1.59.00 is unlockable today. At some point, your baseband was updated with (4.0.1, 4.0.2, 4.1 (don't remember which one)) using a stock Apple firmware.

    You may be in luck later this month . Keep your eyes open
    2010-11-03 10:01 PM
LINK TO POST COPIED TO CLIPBOARD